summaryrefslogtreecommitdiff
path: root/libs/generate-vst-bundles.sh
diff options
context:
space:
mode:
Diffstat (limited to 'libs/generate-vst-bundles.sh')
-rwxr-xr-xlibs/generate-vst-bundles.sh33
1 files changed, 33 insertions, 0 deletions
diff --git a/libs/generate-vst-bundles.sh b/libs/generate-vst-bundles.sh
new file mode 100755
index 0000000..4ff14b6
--- /dev/null
+++ b/libs/generate-vst-bundles.sh
@@ -0,0 +1,33 @@
+#!/bin/bash
+
+set -e
+
+if [ -d bin ]; then
+ cd bin
+else
+ echo "Please run this script from the root folder"
+ exit
+fi
+
+PWD=`pwd`
+
+if [ ! -d /System/Library ]; then
+ echo "This doesn't seem to be OSX, please stop!"
+ exit 0
+fi
+
+rm -rf *.vst/
+
+PLUGINS=`ls | grep vst.dylib`
+
+for i in $PLUGINS; do
+ FILE=`echo $i | awk 'sub("-vst.dylib","")'`
+ cp -r ../dpf/utils/plugin.vst/ $FILE.vst
+ mv $i $FILE.vst/Contents/MacOS/$FILE
+ rm -f $FILE.vst/Contents/MacOS/deleteme
+ sed -i -e "s/X-PROJECTNAME-X/$FILE/" $FILE.vst/Contents/Info.plist
+ rm -f $FILE.vst/Contents/Info.plist-e
+ SetFile -a B $FILE.vst
+done
+
+cd ..